
% DEMSILHOUETTEGP1 Model silhouette data with independent RBF GPs.
%
%	Description:
%	% 	demSilhouetteGp1.m SVN version 327
% 	last update 2008-12-01T07:46:07.000000Z
% FORMAT
% DESC runs a simple regression on the Agawal and Triggs data.
%
% SEEALSO : demSilhouetteGp1, demSilhouetteAverage
% 
% COPYRIGHT : Neil D. Lawrence, 2008


randn('seed', 1e7)
rand('seed', 1e7)

dataSetName = 'silhouette';
experimentNo = 1;

% load data
[X, y, XTest, yTest] = mapLoadData(dataSetName);

% Set up the model
options = gpOptions('ftc');

% Scale outputs to variance 1.
options.scale2var1 = true;

% Use the full Gaussian process model.
q = size(X, 2);
d = size(y, 2);
model = gpCreate(q, d, X, y, options);

display = 1;
iters = 1000;

model = gpOptimise(model, display, iters);
modelDisplay(model)

% Save results
capName = dataSetName;
capName(1) = upper(capName(1));
fileBaseName = ['dem' capName 'Gp' num2str(experimentNo)];
save([fileBaseName '.mat'], 'model');
demSilhouettePlot
